Bug 868308 - [abrt] gnome-terminal-3.4.1.1-1.fc17: _vte_draw_set_text_font: Process /usr/bin/gnome-terminal was killed by signal 8 (SIGFPE)
[abrt] gnome-terminal-3.4.1.1-1.fc17: _vte_draw_set_text_font: Process /usr/b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:03d3bda3d79d2fdcbb66cb89ffd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 09:27 EDT by Paul W. Frields
Modified: 2013-08-01 00:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.42 KB, text/plain)
2012-10-19 09:27 EDT, Paul W. Frields
no flags Details
File: environ (2.32 KB, text/plain)
2012-10-19 09:27 EDT, Paul W. Frields
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-19 09:27 EDT, Paul W. Frields
no flags Details
File: backtrace (24.13 KB, text/plain)
2012-10-19 09:27 EDT, Paul W. Frields
no flags Details
File: cgroup (128 bytes, text/plain)
2012-10-19 09:27 EDT, Paul W. Frields
no flags Details
File: maps (36.63 KB, text/plain)
2012-10-19 09:27 EDT, Paul W. Frields
no flags Details
File: dso_list (7.35 KB, text/plain)
2012-10-19 09:27 EDT, Paul W. Frields
no flags Details
File: var_log_messages (2.20 KB, text/plain)
2012-10-19 09:27 EDT, Paul W. Frields
no flags Details
File: open_fds (540 bytes, text/plain)
2012-10-19 09:27 EDT, Paul W. Frields
no flags Details

  None (edit)
Description Paul W. Frields 2012-10-19 09:27:25 EDT
Description of problem:
Made an error in setting value for /org/gnome/desktop/interface/monospace-font-name. Value provided was 'Liberation Mono 11]' (note typo error). Apparently this keeps the gnome-terminal from launching. Perhaps a graceful (even if ugly) fallback could be set?

Version-Release number of selected component:
gnome-terminal-3.4.1.1-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        gnome-terminal
crash_function: _vte_draw_set_text_font
kernel:         3.6.1-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 _vte_draw_set_text_font at vtedraw.c:938
: #1 vte_terminal_ensure_font at vte.c:7814
: #2 vte_terminal_get_char_width at vte.c:14230
: #3 terminal_screen_get_cell_size at terminal-screen.c:2213
: #4 terminal_window_update_geometry at terminal-window.c:3088
: #5 terminal_window_set_size_force_grid at terminal-window.c:2576
: #6 terminal_window_set_size at terminal-window.c:2561
: #7 terminal_window_set_menubar_visible at terminal-window.c:2535
: #8 notebook_page_selected_callback at terminal-window.c:2806
: #13 gtk_notebook_switch_page at gtknotebook.c:6616
Comment 1 Paul W. Frields 2012-10-19 09:27:28 EDT
Created attachment 630024 [details]
File: core_backtrace
Comment 2 Paul W. Frields 2012-10-19 09:27:30 EDT
Created attachment 630025 [details]
File: environ
Comment 3 Paul W. Frields 2012-10-19 09:27:31 EDT
Created attachment 630026 [details]
File: limits
Comment 4 Paul W. Frields 2012-10-19 09:27:33 EDT
Created attachment 630027 [details]
File: backtrace
Comment 5 Paul W. Frields 2012-10-19 09:27:34 EDT
Created attachment 630028 [details]
File: cgroup
Comment 6 Paul W. Frields 2012-10-19 09:27:36 EDT
Created attachment 630029 [details]
File: maps
Comment 7 Paul W. Frields 2012-10-19 09:27:38 EDT
Created attachment 630030 [details]
File: dso_list
Comment 8 Paul W. Frields 2012-10-19 09:27:43 EDT
Created attachment 630031 [details]
File: var_log_messages
Comment 9 Paul W. Frields 2012-10-19 09:27:44 EDT
Created attachment 630032 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 20:35:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 00:27:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.